Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class ForumProperty

    java.lang.Object
      |
      +--com.compoze.discussion.ForumProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class ForumProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `Forum` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `discussion_resources.properties` file (accessed through `DiscussionResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static ForumProperty` | `ARCHIVE` This value represents the forum property 'archive'.
`static ForumProperty` | `ARCHIVE_DATE` This value represents the forum property 'archive date'.
`static ForumProperty` | `AUTHOR` This value represents the forum property 'author'.
`static ForumProperty` | `CONTENT_TYPE` This value represents the forum property 'content type'.
`static ForumProperty` | `CUSTOM_NUM1` This value represents the forum property 'custom num 1'.
`static ForumProperty` | `CUSTOM_NUM2` This value represents the forum property 'custom num 2'.
`static ForumProperty` | `CUSTOM_NUM3` This value represents the forum property 'custom num 3'.
`static ForumProperty` | `CUSTOM_NUM4` This value represents the forum property 'custom num 4'.
`static ForumProperty` | `CUSTOM_STR1` This value represents the forum property 'custom str 1'.
`static ForumProperty` | `CUSTOM_STR2` This value represents the forum property 'custom str 2'.
`static ForumProperty` | `CUSTOM_STR3` This value represents the forum property 'custom str 3'.
`static ForumProperty` | `CUSTOM_STR4` This value represents the forum property 'custom str 4'.
`static ForumProperty` | `DATE_CREATED` This value represents the forum property 'date created'.
`static ForumProperty` | `DATE_LAST_MODIFIED` This value represents the forum property 'date last modified'.
`static ForumProperty` | `DESCRIPTION` This value represents the forum property 'description'.
`static ForumProperty` | `EXPIRATION_DATE` This value represents the forum property 'expiration date'.
`static ForumProperty` | `KEYWORDS` This value represents the forum property 'keywords'.
`static ForumProperty` | `MAXIMUM_TOPIC_COUNT` This value represents the forum property 'maximum topic count'.
`static ForumProperty` | `MESSAGE_COUNT` This value represents the forum property 'message count'.
`static ForumProperty` | `NAME` This value represents the forum property 'name'.
`static ForumProperty` | `TOPIC_COUNT` This value represents the forum property 'topic count'.
`static ForumProperty` | `TYPE` This value represents the forum property 'type'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ForumProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final ForumProperty NAME

  This value represents the forum property 'name'.

### DESCRIPTION

    public static final ForumProperty DESCRIPTION

  This value represents the forum property 'description'.

### CONTENT_TYPE

    public static final ForumProperty CONTENT_TYPE

  This value represents the forum property 'content type'.

### KEYWORDS

    public static final ForumProperty KEYWORDS

  This value represents the forum property 'keywords'.

### ARCHIVE_DATE

    public static final ForumProperty ARCHIVE_DATE

  This value represents the forum property 'archive date'.

### ARCHIVE

    public static final ForumProperty ARCHIVE

  This value represents the forum property 'archive'.

### TYPE

    public static final ForumProperty TYPE

  This value represents the forum property 'type'.

### MESSAGE_COUNT

    public static final ForumProperty MESSAGE_COUNT

  This value represents the forum property 'message count'.

### TOPIC_COUNT

    public static final ForumProperty TOPIC_COUNT

  This value represents the forum property 'topic count'.

### DATE_CREATED

    public static final ForumProperty DATE_CREATED

  This value represents the forum property 'date created'.

### DATE_LAST_MODIFIED

    public static final ForumProperty DATE_LAST_MODIFIED

  This value represents the forum property 'date last modified'.

### MAXIMUM_TOPIC_COUNT

    public static final ForumProperty MAXIMUM_TOPIC_COUNT

  This value represents the forum property 'maximum topic count'.

### EXPIRATION_DATE

    public static final ForumProperty EXPIRATION_DATE

  This value represents the forum property 'expiration date'.

### AUTHOR

    public static final ForumProperty AUTHOR

  This value represents the forum property 'author'.

### CUSTOM_NUM1

    public static final ForumProperty CUSTOM_NUM1

  This value represents the forum property 'custom num 1'.

### CUSTOM_NUM2

    public static final ForumProperty CUSTOM_NUM2

  This value represents the forum property 'custom num 2'.

### CUSTOM_NUM3

    public static final ForumProperty CUSTOM_NUM3

  This value represents the forum property 'custom num 3'.

### CUSTOM_NUM4

    public static final ForumProperty CUSTOM_NUM4

  This value represents the forum property 'custom num 4'.

### CUSTOM_STR1

    public static final ForumProperty CUSTOM_STR1

  This value represents the forum property 'custom str 1'.

### CUSTOM_STR2

    public static final ForumProperty CUSTOM_STR2

  This value represents the forum property 'custom str 2'.

### CUSTOM_STR3

    public static final ForumProperty CUSTOM_STR3

  This value represents the forum property 'custom str 3'.

### CUSTOM_STR4

    public static final ForumProperty CUSTOM_STR4

  This value represents the forum property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static ForumProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `ForumProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.